# Generated by Django 2.0.7 on 2018-08-01 12:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import picker.models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("picker", "0002_auto_20160720_0917"),
    ]

    operations = [
        migrations.CreateModel(
            name="PickerFavorite",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PickerGrouping",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=75, unique=True)),
                (
                    "status",
                    models.CharField(
                        choices=[("ACTV", "Active"), ("IDLE", "Inactive")],
                        default="ACTV",
                        max_length=4,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PickerMembership",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("ACTV", "Active"),
                            ("IDLE", "Inactive"),
                            ("SUSP", "Suspended"),
                            ("MNGT", "Manager"),
                        ],
                        default="ACTV",
                        max_length=4,
                    ),
                ),
                (
                    "autopick",
                    models.CharField(
                        choices=[("NONE", "None"), ("RAND", "Random")],
                        default="RAND",
                        max_length=4,
                    ),
                ),
                (
                    "group",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="members",
                        to="picker.PickerGrouping",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="picker_memberships",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="league",
            name="current_season",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="league",
            name="slug",
            field=models.SlugField(default=picker.models.temp_slug),
        ),
        migrations.AddField(
            model_name="pickset",
            name="is_winner",
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name="game",
            name="category",
            field=models.CharField(
                choices=[
                    ("REG", "Regular Season"),
                    ("POST", "Post Season"),
                    ("PRE", "Pre Season"),
                    ("FRND", "Friendly"),
                ],
                default="REG",
                max_length=4,
            ),
        ),
        migrations.AlterField(
            model_name="game",
            name="status",
            field=models.CharField(
                choices=[
                    ("U", "Unplayed"),
                    ("T", "Tie"),
                    ("H", "Home Win"),
                    ("A", "Away Win"),
                    ("X", "Cancelled"),
                ],
                default="U",
                max_length=1,
            ),
        ),
        migrations.AlterField(
            model_name="game",
            name="tv",
            field=models.CharField(blank=True, max_length=8, verbose_name="TV"),
        ),
        migrations.AlterField(
            model_name="gameset",
            name="byes",
            field=models.ManyToManyField(
                blank=True,
                related_name="bye_set",
                to="picker.Team",
                verbose_name="Bye Teams",
            ),
        ),
        migrations.AlterField(
            model_name="league",
            name="logo",
            field=models.ImageField(blank=True, null=True, upload_to="picker/logos"),
        ),
        migrations.AlterField(
            model_name="pickset",
            name="strategy",
            field=models.CharField(
                choices=[
                    ("USER", "User"),
                    ("RAND", "Random"),
                    ("HOME", "Home Team"),
                    ("BEST", "Best Record"),
                ],
                default="USER",
                max_length=4,
            ),
        ),
        migrations.AlterField(
            model_name="playoffpicks",
            name="user",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="preference",
            name="autopick",
            field=models.CharField(
                choices=[("NONE", "None"), ("RAND", "Random")],
                default="RAND",
                max_length=4,
            ),
        ),
        migrations.AlterField(
            model_name="team",
            name="logo",
            field=models.ImageField(blank=True, null=True, upload_to="picker/logos"),
        ),
        migrations.AlterUniqueTogether(
            name="preference",
            unique_together=set(),
        ),
        migrations.AddField(
            model_name="pickergrouping",
            name="leagues",
            field=models.ManyToManyField(blank=True, to="picker.League"),
        ),
        migrations.AddField(
            model_name="pickerfavorite",
            name="league",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="picker.League"
            ),
        ),
        migrations.AddField(
            model_name="pickerfavorite",
            name="team",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="picker.Team",
            ),
        ),
        migrations.AddField(
            model_name="pickerfavorite",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.RemoveField(
            model_name="preference",
            name="favorite_team",
        ),
        migrations.RemoveField(
            model_name="preference",
            name="league",
        ),
        migrations.RemoveField(
            model_name="preference",
            name="status",
        ),
    ]
